Bug 1065680 - Agent admin page should list the installed plugins
Summary: Agent admin page should list the installed plugins
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Agent, Core UI
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: GA
: RHQ 4.10
Assignee: Jirka Kremser
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-15 19:22 UTC by Heiko W. Rupp
Modified: 2014-04-23 12:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-23 12:31:02 UTC


Attachments (Terms of Use)

Description Heiko W. Rupp 2014-02-15 19:22:43 UTC
Now that we have the agent plugins disable and enable features, it should be possible to display the installed plugins from this page. 
I think it may be enough to run the "plugins info" operation. 

It is important to show the name that is the one to be entered in the "rhq.agent.plugins.enabled" property, so that it is consistent with what the user enters in that property.

See also Bug 536287

Comment 1 Jirka Kremser 2014-02-24 23:17:15 UTC
Running the agent operation, waiting for the results and then rendering the UI can be potentially slow. Bug 1022943 copes with a similar issue (both would benefit from having the records about what agent has what plugins (+versions) installed/enabled).

I'll implement a prototype using the ispn for storing the results of the "plugins info" op. in order to wait only for the first call. Consequent calls will be cached.

Comment 2 Jirka Kremser 2014-02-27 18:49:49 UTC
branch:  master
link:    http://git.fedorahosted.org/cgit/rhq/rhq.git/commit/?id=3b2ad9a91
time:    2014-02-27 19:47:06 +0100
commit:  3b2ad9a91b31451fb2ec9b223f7daa2e9716c941
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 1065680] - Agent admin page should list the installed plugins -
         Implementing new method on TopologyManagerBean for obtaining
         the corresponding resource id for an agent instance. If there
         is such an id, web UI runs the "retrieveAllPluginInfo"
         operation and displays its result in the agent admin UI (on the
         agent detail page). So the assumption here is that the agent
         has already imported the RHQ Agent resource.

Not using the infinispan, because cache would introduce inconsistency.

Comment 3 Lukas Krejci 2014-02-27 22:54:38 UTC
Until we require agent in the inventory (or have a separate "admin" inventory for stuff like agent, storage nodes, etc, that would mandatorily include the agent), I am not sure how useful this feature is, because having the agent in the inventory is not mandatory.

Also this functionality is only available using the UI and not exposed remotely either via REST or remote API (ideally both).

Comment 4 Jirka Kremser 2014-02-28 13:37:05 UTC
Right, having the agent in the (separate "admin" or just normal) inventory by default it would be much simpler. However, it is not the case and now the UI just shows additional info if you have the agent committed. If we assume the agent to be in the (admin) inventory (in the future perhaps), nothing needs to be changed in coregui.

The functionality is exposed also via CLI and REST using the agent operation "retrieveAllPluginInfo". I've added a flag there that says whether the agent plugin is enabled or not.

Comment 5 Heiko W. Rupp 2014-04-23 12:31:02 UTC
Bulk closing of 4.10 issues.

If an issue is not solved for you, please open a new BZ (or clone the existing one) with a version designator of 4.10.


Note You need to log in before you can comment on or make changes to this bug.